package sample.sample17;

import java.util.Date;

import org.apache.log4j.Logger;

public class Sample17_6 {

	private static final Logger logger = Logger.getLogger(Sample17_6.class);

	private boolean startメソッド処理中 = false;

	public static void main(String[] args) {
		Sample17_6 sample17_6 = new Sample17_6();
		try {
			sample17_6.start();
		} finally {
			logger.debug("startメソッド処理中 : " + sample17_6.startメソッド処理中);
		}
	}

	private void start() {
		try {
			startメソッド処理中 = true;

			int[] array = { 0 };
			while (startメソッド処理中) {
				logger.debug(new Date());
				if (array[1] == 0) {
					startメソッド処理中 = false;
				}
			}
		} finally {
			startメソッド処理中 = false;
		}
	}
}
